Bug 8056 - Flexible boxes do not repaint their top, left and children's overflows
Summary: Flexible boxes do not repaint their top, left and children's overflows
Status: VERIFIED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: Layout and Rendering (show other bugs)
Version: 420+
Hardware: Macintosh OS X 10.4
: P2 Normal
Assignee: Nobody
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2006-03-29 10:51 PST by mitz
Modified: 2006-04-04 01:50 PDT (History)
0 users

See Also:


Attachments
Patch (19.32 KB, patch)
2006-03-29 10:57 PST, mitz
darin: review+
Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description mitz 2006-03-29 10:51:43 PST
I am going to attach a patch including test cases.
Comment 1 mitz 2006-03-29 10:57:23 PST
Created attachment 7375 [details]
Patch
Comment 2 Darin Adler 2006-03-30 08:40:29 PST
Comment on attachment 7375 [details]
Patch

Looks good to me, but also I think lots of layout code is crying out for use of overflowRect as opposed to the separate overflowLeft, Top, Width, Height functions.

r=me
Comment 3 mitz 2006-04-04 01:50:20 PDT
Verified in r13675 nightly.